Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157630 - RFE: system-config-networks needs options for setting default route and metric
Summary: RFE: system-config-networks needs options for setting default route and metric
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-13 08:48 UTC by Filip Miletic
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-13 11:45:16 UTC


Attachments (Terms of Use)

Description Filip Miletic 2005-05-13 08:48:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; sr-YU; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
system-network-config lacks the ability to specify a default route with a metric.

A scenario in which this is needed:

I have a single network interface which sometimes can be used to obtain the network settings by DHCP. When it is not possible, the interface should get a fixed IP number.

My resolution is as follows:

- Use eth0 as the interface for DHCP; set its default route metric to be say 0
- Use eth0:1 as the interface for the fixed IP; set its default route metric to be 1

(note that the other way around is not possible, as eth0:1 does not support DHCP)

Thus, when DHCP succeeds, its default route will override the fixed IP. When DHCP fails no default route for the DHCP gw will be set and the fixed IP will take over.

This is at present not possible with s-c-n. Default routes override each other as the metric is always 0 so the default route would end up to be the one from the fixed IP setup, regardless of whether DHCP succeeded or not.

Version-Release number of selected component (if applicable):
system-config-network-tui-1.3.22-1

How reproducible:
Always

Steps to Reproduce:
1. Open s-c-n and verify that it is not possible to add the data about the default gw metric, and whether the link should set the gw or not (current default is that it always does)
  

Additional info:

Comment 1 Filip Miletic 2005-05-13 08:52:18 UTC
Even without this specific scenario, an user should be able to specify whether
the default route should be established and with what metric. 

Yes, it may be an advanced setting, but it is necessary nevertheless.

Comment 2 Matthew Miller 2006-07-10 21:57:49 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!



Note You need to log in before you can comment on or make changes to this bug.